From a80d8bd440213a0d5f10f498bfd0f6d58969badf Mon Sep 17 00:00:00 2001
From: Giulio <giulio@gmx.com>
Date: Thu, 21 May 2020 16:21:33 +0200
Subject: [PATCH] ipv4 setup

---
 build.sh                    |  4 +++-
 conf/etc/S90hostapd         | 23 +++++++++++++++++++++++
 conf/etc/network/interfaces |  5 +++++
 3 files changed, 31 insertions(+), 1 deletion(-)
 create mode 100644 conf/etc/S90hostapd
 create mode 100644 conf/etc/network/interfaces

diff --git a/build.sh b/build.sh
index 5afb144..6fbe244 100644
--- a/build.sh
+++ b/build.sh
@@ -15,4 +15,6 @@ cp -R conf/* target/ovarlay # copy target system config files
 cp -R webpanel/* target/overlay/var/www/html # copy the webpanel
 cp -R update/* target/ovarlay #copy the update script and certificate
 echo "[+] Building the image"
-
+N=`grep -c '^processor' /proc/cpuinfo`
+cd target/buildroot
+make -j$N
diff --git a/conf/etc/S90hostapd b/conf/etc/S90hostapd
new file mode 100644
index 0000000..2e2a8a7
--- /dev/null
+++ b/conf/etc/S90hostapd
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+case "$1" in
+        start)
+                printf "Starting hostapd: "
+                start-stop-daemon -S -x /usr/sbin/hostapd -- -B /etc/hostapd.conf
+                [ $? = 0 ] && echo "OK" || echo "FAIL"
+                ;;
+        stop)
+                printf "Stopping hostapd: "
+                start-stop-daemon -K -q -x /usr/sbin/hostapd
+                [ $? = 0 ] && echo "OK" || echo "FAIL"
+                ;;
+        restart|reload)
+                $0 stop
+                $0 start
+                ;;
+        *)
+                echo "Usage: $0 {start|stop|restart}"
+                exit 1
+esac
+
+exit 0
\ No newline at end of file
diff --git a/conf/etc/network/interfaces b/conf/etc/network/interfaces
new file mode 100644
index 0000000..e7fb4d5
--- /dev/null
+++ b/conf/etc/network/interfaces
@@ -0,0 +1,5 @@
+# /etc/network/interfaces
+auto wlan0
+iface wlan0 inet static
+    address 192.168.77.1
+    netmask 255.255.255.0
\ No newline at end of file